> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Card Event



## OpenAPI

````yaml api-reference/openapi-cards.json GET /card_event/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Cards
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /card_event/{id}:
    get:
      tags:
        - Card Event
      summary: Fetch a Card Event
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    amount: '10.00'
                    atm: null
                    card_id: card_09876543421
                    created_at: '2017-11-02T11:55:14Z'
                    currency: USD
                    decline_reason: Card Not Active
                    id: cnm_2345678901
                    merchant:
                      address:
                        city: EDGEWATER
                        country: USA
                        postal_code: '07020'
                        state: NJ
                      mcc: '0000'
                      mid: '0123456789'
                      name: A VENDOR NAME
                    message_type: auth-request
                    network: mastercard
                    network_created_at: '2017-11-02T11:55:09Z'
                    networkdata:
                      acquirer: null
                      acquirer_fee_amount: 0
                      acting_user_token: 0146434d-3c22-4906-a538-b61d39cf6f71
                      amount: 10
                      card_acceptor:
                        address: 330 Central Ave.
                        city: St. Petersburg
                        country_code: USA
                        mcc: '6411'
                        mid: '123456890'
                        name: Marqeta Storefront
                        postal_code: '33705'
                        state: FL
                      card_security_code_verification: null
                      card_token: 028b20b2-215f-4ab4-a334-f08d99def0e4
                      created_time: '2022-09-29T21:35:03Z'
                      currency_code: USD
                      digital_wallet_token:
                        address_verification:
                          name: ''
                          street_address: 180 Grand Ave
                          zip: '**MASKED**'
                        card_token: IC_4e3omf16hwgbfpt7pumg6tfky
                        device:
                          device_id: 0423117BE44E80018327074341948822B514D73218EB41DE
                          ip_address: 101.203.084.990
                          language_code: eng
                          location: +35.96/-78.85
                          name: iPhone
                          phone_number: '14088581301'
                          type: MOBILE_PHONE
                        state: ACTIVE
                        token: 4c72bc11-1574-48c3-8cba-586072a7432f
                      fraud:
                        network:
                          account_risk_score: 2
                          transaction_risk_score: 86
                      issuer_interchange_amount: 0
                      network: MASTERCARD
                      pos:
                        card_holder_presence: false
                        card_presence: false
                        is_recurring: false
                        pan_entry_mode: MAG_STRIPE
                        partial_approval_capable: false
                        pin_entry_mode: 'TRUE'
                        purchase_amount_only: false
                        terminal_attendance: ATTENDED
                        terminal_id: TR100000
                      request_amount: 10
                      settlement_date: '2022-09-29T00:00:00Z'
                      state: PENDING
                      token: 9699f5fc-3516-49c1-93a1-f6a9e6635bdf
                      type: authorization.incremental
                      user_token: 0146434d-3c22-4906-a538-b61d39cf6f71
                      user_transaction_time: '2022-09-29T21:35:03Z'
                    processor: marqeta
                    status: denied
                    updated_at: '2017-11-02T11:55:14Z'
              schema:
                properties:
                  amount:
                    description: >-
                      Amount of money related to the event, with two decimal
                      precision
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
                  approved_amount:
                    description: >-
                      Approved amount of money related to the event, with two
                      decimal precision
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
                  atm:
                    description: Object representing data related to ATM transactions
                    properties:
                      network:
                        description: ATM network for event
                        type: string
                      network_fee:
                        description: Fee associated with event
                        type: string
                    type: object
                  bank_id:
                    description: ID of the bank associated with the card event
                    type: string
                  card_id:
                    description: The ID of the card associated with the event. Filterable.
                    type: string
                  currency:
                    description: Three digit currency code
                    type: string
                  decline_reason:
                    description: The reason denied requests were not approved
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  merchant:
                    description: >-
                      Object representing the merchant where the card event
                      occurred
                    properties:
                      address:
                        description: >-
                          Object containg `city`, `state`, `postal_code`, and
                          `country` as strings
                        properties:
                          city:
                            description: Merchant city
                            type: string
                          country:
                            description: Three-digit country abbreviation
                            type: string
                          postal_code:
                            description: Five-digit postal code
                            type: string
                          state:
                            description: Two-digit state abbreviation
                            type: string
                        type: object
                      mcc:
                        description: Merchant category code
                        type: string
                      mid:
                        description: Merchant ID
                        type: string
                      name:
                        description: Name of the merchant
                        type: string
                    type: object
                  message_type:
                    description: Type of message. See Message Types
                    type: string
                  network:
                    description: Card network the event occurred on (e.g., `mastercard`)
                    type: string
                  network_created_at:
                    description: >-
                      Timestamp of when the network states the event was
                      created. This should match closely to the standard
                      created_at field on the object. It may differ slightly due
                      to the amount of time it takes Treasury Prime to process
                      the event
                    type: string
                  networkdata:
                    description: >-
                      Information received from the network. The structure of
                      this information depends on the processor, but may contain
                      information such as amount, fees, or additional
                      information about the transaction
                    type: object
                  org_id:
                    description: ID of the organization associated with the card event
                    type: string
                  processor:
                    description: Processor that issued the card
                    type: string
                  status:
                    description: >-
                      Status of event. One of `pending`, `error`, `approved`,
                      `denied`, `timeout`, or `received`
                    type: string
                  trace_id:
                    description: >-
                      Identifier used to link card events to transactions.
                      Filterable.
                    type: string
          description: The card_event
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````